QGIS Application - Bug report #15176
Double Type Values in SLD truncated
Status: Closed
Priority: Normal
Assignee: Nyall Dawson
Category: Vectors

Affected QGIS version:2.14.3

Operating System: Windows
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 23115

Description

Hi,

| am having some issues with SLD generation when the values are Doubles.
If | create a style for a vector layer with values such as '-294111980.8000' the resulting SLD truncates this value in the rule to
-2.94112e+08, meaning that values slightly outside this range will not be styled.

Is there any way around this i.e. to stop the SLD generation changing the number to scientific notation?

Thanks,

Conor

<se:Rule> <se:Name> -2147483648.0000 - -294111980.8000 </se:Name> <se:Description> <se:Title> -2147483648.0000 -
-294111980.8000 </se:Title> </se:Description> <ogc:Filter xmins:ogc="http://www.opengis.net/ogc"> <ogc:And>

<ogc:PropertylsGreaterThan> <ogc:PropertyName>DN</ogc:PropertyName> <ogc:Literal>-2.14748e+09</ogc:Literal>

</ogc:PropertylsGreaterThan> <ogc:PropertylsLessThanOrEqualTo> <ogc:PropertyName>DN</ogc:PropertyName>

<ogc:Literal>-2.94112e+08</ogc:Literal> </ogc:PropertylsLessThanOrEqualTo> </ogc:And> </ogc:Filter>
<se:PolygonSymbolizer> <se:Fill> <se:SvgParameter name="fill">#2b83ba</se:SvgParameter> </se:Fill>

</se:PolygonSymbolizer> </se:Rule>

Associated revisions

Revision b49ada28 - 2016-06-30 12:16 AM - Nyall Dawson

Always use full precision when exporting to SLD (fix #15176)

History

#1 - 2016-06-29 12:28 PM - Nyall Dawson
- Assignee set to Nyall Dawson

#2 - 2016-06-29 03:17 PM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"b49ada283d7e1074b6809877cc089e43c4fa79d5".
